Bug 1299939 - blacs-openmpi-devel doesn't install Bdef.h
blacs-openmpi-devel doesn't install Bdef.h
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: scalapack (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 10:14 EST by Dave Love
Modified: 2016-02-04 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version: scalapack-2.0.2-12.fc23 scalapack-2.0.2-12.el7 scalapack-2.0.2-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 21:21:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Love 2016-01-19 10:14:16 EST
Description of problem:

/usr/include/blacs/Bdef.h is in the blacs-common package, which blacs-openmpi-devel doesn't require, so you can't build anything using the header simply by installing the devel package.  The mpich version is the same.

Version-Release number of selected component (if applicable):
2.0.2-6

Expected results:
The devel package installs what's necessary to build against the library


Additional info:
Comment 1 Orion Poplawski 2016-01-19 12:37:29 EST
Mistakenly requires scalapack-common instead of blas-common.
Comment 2 Fedora Update System 2016-01-19 13:20:05 EST
scalapack-2.0.2-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d7920052d
Comment 3 Fedora Update System 2016-01-19 13:20:11 EST
scalapack-2.0.2-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1a3e551732
Comment 4 Fedora Update System 2016-01-20 18:58:00 EST
scalapack-2.0.2-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d7920052d
Comment 5 Fedora Update System 2016-01-21 00:18:38 EST
scalapack-2.0.2-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1a3e551732
Comment 6 Fedora Update System 2016-01-21 00:22:33 EST
scalapack-2.0.2-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6fe732c8c
Comment 7 Dave Love 2016-01-21 09:45:44 EST
I just realized that blacs-common shouldn't exist anyhow.  The header should be in the devel package according to <https://fedoraproject.org/wiki/Packaging:MPI>.
Comment 8 Fedora Update System 2016-01-24 21:21:22 EST
scalapack-2.0.2-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-04 16:56:41 EST
scalapack-2.0.2-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-04 17:55:38 EST
scalapack-2.0.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.